Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

This thread was closed and archived. Please ask a new question if you need help.

How to BLOCK auto-updates?? BACK TO THE FUTURE - haven't had this problem for years - suddenly I'm -forced- to update and the side-effects are a disaster!

  • 32 replies
  • 1 has this problem
  • 111 views
  • آخر ردّ كتبه user633449

more options

Was running successfully with 60.0 - INCLUDING Noscript I believe. 61 got force-fed (not "offered") to me and I'm screwed.

All Replies (12)

more options

DAMN YOU MOZILLA - just FORCE-FED 62.0.2 to me.

THIS IS NOT ACCEPTABLE.

AND - IT CRASHED MY PC.

Modified by BillM

more options

@BillM were you able to do this setting and no update?

Modified by WestEnd

more options

This PC was set for "check for updates but let you choose to install them." (The setting ANY RATIONAL ENGLISH-SPEAKING USER WOULD TAKE AT FACE VALUE.)

NOT ONLY did it download the update, it triggered a WINDOWS CRASH.

Event Viewer shows a boatload of:

"Circular Kernel Context Logger" failed to start with the following error: 0xC0000035

(which sounds dimly familiar from years ago... obviously not a Mozilla issue per se.

Modified by BillM

more options

On my laptop, Mozilla Maintenance Service is set to Manual start and it was NOT running - which would seem like rational settings.

But 62.0.2 was STILL pushed to me this morning. (From something else on the network, I imagine. NOT GOOD.)

Do we need to create a DISTINCT, CLIENT-side service that forcibly BLOCKS Mozilla updates??

Let's see how many other users get bitten by this today.

Modified by BillM

more options

Call me stubborn, but I repeat :

Would you please take a look at this (scroll down some) : https://www.technipages.com/enable-disable-automatic-updates-in-firefox
more options

BillM said

This PC was set for "check for updates but let you choose to install them."

Why haven't you changed it to 'Not Update'?


~Pj

more options

MOZILLA - THIS IS NOW OFFICIALLY A BUG - PRODUCT DOES NOT WORK AS DOCUMENTED.

Therefore, Firefox itself is now "Not Recommended."

[Personal attack removed by moderator. Please read Mozilla Support rules and guidelines, thanks.]

Modified by Chris Ilias

more options

Giving it one more try :

Would you please take a look at this (scroll down some) :

https://www.technipages.com/enable-disable-automatic-updates-in-firefox

more options

62.0.2 CRASHED on me this morning. Worst of all worlds: FORCE-FEED a new release to customers ... a 62.0.2 release that CRASHES - VERY SOON - (when installed on top of a stable 62.0).

I ask again: Where is Quality Control??

Modified by BillM

more options

Hi Bill, Is there a reason you're not trying the advice McCoy posted? If you're having trouble following the instructions, remember that we're here to help. ☺️

more options

I tried McCoy's advice - using the technipages "From Firefox Menus" he suggested - but it **arrived too late**. I can hope this was my "once" ... but the PRODUCT should not PERMIT serious failures like this. THAT is a BUG.

I have (ahem) "reassigned" developers of commercial software who did not adequately test products before release. Over the past decade, I've been spoiled enough by Mozilla quality to trust it.

Obviously, that ends today... **IF** I can manage to BLOCK Mozilla from force-feeding me buggy releases! (And the folks in my network now know to avoid this release, if it's not already too late.)

Modified by BillM

more options

I'm locking this thread. You should be using the latest version of Firefox, which at time of writing is 62.0.2, with updates enabled.

If you have a crash in Firefox, please open a new thread with the crash ID's

Modified by user633449

  1. 1
  2. 2